using Microsoft.AspNetCore.Builder;
using Microsoft.Extensions.DependencyInjection;

namespace e_suite.Service.Performance.Extensions.Web;

public static class WebBuilderExtensions
{
    public static void AddPerformanceMonitor(this WebApplicationBuilder builder)
    {
        builder.Services.AddControllers(options =>
        {
            options.Filters.Add<PerformanceActionParamMaperFilter>();
        });
    }
}
